Skip to content

Get onboarding status by organization number

GET
/onboarding/status
Code sample: Shell / cURL
curl --request GET \
--url 'https://welcome.ztlpay.io/onboarding/status?country=NO&organizationNumber=example' \
--header 'Authorization: Bearer <token>'

Returns the onboarding status based on country and organization number. If no onboarding exists but the company already exists, the response returns Accepted.

country
required
string
Allowed values: NO SE DK
organizationNumber
required
string

Onboarding status fetched successfully

Media typeapplication/json
object
status
required

In production, ManualHandling is only available for Norway.

string
Allowed values: Created AwaitingCustomerAction Processing ManualHandling Accepted Rejected
signingStatus
object
onboardingSigningStatus
required
string
Allowed values: Signed PartiallySigned Unsigned
signers
Array<object>
object
name
required
string
personalNumber
string | null
status
required
string
Allowed values: Signed Unsigned
signingUrl
string | null
documentSignature
object
signatureMethod
string | null
fullName
string | null
firstName
string | null
lastName
string | null
middleName
string | null
signedTime
string | null
dateOfBirth
string | null
Examples

Company exists without onboarding

{
"status": "Accepted"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Bad request

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Forbidden

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Not found

Internal server error

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9

Service unavailable

Media typeapplication/json
object
ztlRequestId
required

Unique RequestId, please provide this Id in case of support requests

string format: uuid
message
required

The underlying reason for the error

string
Example
{
"ztlRequestId": "3a797348-ef0c-4f52-b821-fdfcdb98c4d9",
"message": "Invalid account"
}
ztl-request-id
string format: uuid

Unique RequestId, please provide this Id in case of support requests

Example
3a797348-ef0c-4f52-b821-fdfcdb98c4d9